<div class="main-content pad">
    <div class="container-fluid">
    	<div class="row d-flex justify-content-center">
		   <div class="col-md-6">
                <div class="card pad">
				    <div class="row justify-content-center">
				        <div class="col-md-10">
				            <!--<h1>Create Password</h1>-->
				
				            <div class="alert alert-danger" *ngIf="initialized && !key">
				                <strong>The password reset key is missing.</strong>
				            </div>
				
				            <div class="alert alert-warning" *ngIf="key && !success">
				                <p>Create a new password</p>
				            </div>
				
				            <div class="alert alert-danger" *ngIf="error">
				                <p>Your password couldn't be reset. Remember a password request is only valid for 24 hours.</p>
				            </div>
				<!--*ngIf="success"-->
				            <p class="alert alert-success" *ngIf="success">
				                <span><strong>Password anda sudah dibuat.</strong> Silahkan </span>
				                <a class="alert-link" href="/" jhiTranslate="global.messages.info.authenticated.link">sign in</a>.
				            </p>
				
				            <div class="alert alert-danger" *ngIf="doNotMatch">
				                The password and its confirmation do not match!
				            </div>
				
				            <div *ngIf="key && !success">
				                <form name="form" role="form" (ngSubmit)="finishReset()" [formGroup]="passwordForm">
				                    <div class="form-group">
				                        <label class="form-control-label" for="newPassword" jhiTranslate="global.form.newpassword.label">New password</label>
				                        <input type="password" class="form-control" id="newPassword" name="newPassword"
				                               placeholder="{{'global.form.newpassword.placeholder' | translate}}"
				                               formControlName="newPassword" #newPassword>
				                        <div *ngIf="passwordForm.get('newPassword')!.invalid && (passwordForm.get('newPassword')!.dirty || passwordForm.get('newPassword')!.touched)">
				                            <small class="form-text text-danger"
				                               *ngIf="passwordForm.get('newPassword')?.errors?.required" jhiTranslate="global.messages.validate.newpassword.required">
				                                Your password is required.
				                            </small>
				                            <!--<small class="form-text text-danger"
				                               *ngIf="passwordForm.get('newPassword')?.errors?.minlength" jhiTranslate="global.messages.validate.newpassword.minlength">
				                                Your password is required to be at least 4 characters.
				                            </small>-->
				                            <small class="form-text text-danger"
				                               *ngIf="passwordForm.get('newPassword')?.errors?.maxlength" jhiTranslate="global.messages.validate.newpassword.maxlength">
				                                Your password cannot be longer than 50 characters.
				                            </small>
				                            <small class="form-text text-danger"
					                           *ngIf="passwordForm.get('newPassword')?.errors!.pattern">
					                            Kata sandi harus berisi minimal satu angka, satu huruf besar dan satu huruf kecil, serta minimal 8 karakter dan tidak boleh mengandung spasi
					                        </small>
				                        </div>
				                        <jhi-password-strength-bar [passwordToCheck]="passwordForm.get('newPassword')!.value"></jhi-password-strength-bar>
				                    </div>
				
				                    <div class="form-group">
				                        <label class="form-control-label" for="confirmPassword">New password confirmation</label>
				                        <input type="password" class="form-control" id="confirmPassword" name="confirmPassword"
				                               placeholder="{{'global.form.confirmpassword.placeholder' | translate}}"
				                               formControlName="confirmPassword">
				                        <div *ngIf="passwordForm.get('confirmPassword')!.invalid && (passwordForm.get('confirmPassword')!.dirty || passwordForm.get('confirmPassword')!.touched)">
				                            <small class="form-text text-danger"
				                               *ngIf="passwordForm.get('confirmPassword')?.errors?.required">
				                                Your password confirmation is required.
				                            </small>
				                            <!--<small class="form-text text-danger"
				                               *ngIf="passwordForm.get('confirmPassword')?.errors?.minlength">
				                                Your password confirmation is required to be at least 4 characters.
				                            </small>-->
				                            <small class="form-text text-danger"
				                               *ngIf="passwordForm.get('confirmPassword')?.errors?.maxlength">
				                                Your password confirmation cannot be longer than 50 characters.
				                            </small>
				                            <small class="form-text text-danger"
					                           *ngIf="passwordForm.get('confirmPassword')?.errors!.pattern">
					                            Kata sandi harus berisi minimal satu angka, satu huruf besar dan satu huruf kecil, serta minimal 8 karakter dan tidak boleh mengandung spasi
					                        </small>
				                        </div>
				                    </div>
				                    <button type="submit" [disabled]="passwordForm.invalid" class="btn btn-primary">SIMPAN</button>
				                </form>
				            </div>
						</div>
			        </div>
			    </div>
			</div>
		</div>
	</div>
</div>
